[Cesium] [ANN] Nouvelle version 1.4.1

Une nouvelle version 1.4.1 de Cesium est disponible, pour test.

Nouveautés

Tablettes en mode paysage

  • Toutes les pages ont été passées en revu, pour vérifier le compatibilité avec le mode paysage. Ce n’était pas du superflu car bon nombre de fenetre de dialogue n’était pas utilisable, à cause du clavier virtuel. Par exemple, il était impossible de créer un compte… c’est maintenant corrigé !

  • Le look du menu de gauche à légèrement changé, pour être plus esthétique en mode paysage, et pour éviter de défiler pour voir toutes les infos. J’espère que vous apprécierez !

  • Lorsqu’on ouvre l’application depuis un navigateur (sur un site web hébergeant Cesium) le premier clic passe l’application en mode plein écran. On peut en sortir par un bouton, tout en haut du menu.

Correctifs

  • Correction d’un problème majeur, de freeze complet de l’application. Ce bug apparaissait après l’utilisation d’un menu d’options (symbole “…” vertical). Toutes les versions de Cesium était affectées (web et mobile).

Pour les technophiles : Il s’agit en réalité d’un bug d’Ionic, qu’il a fallu contourner : une simple classe CSS mal positionnée qui bloquait tout. …argh !

  • Problème d’affichage sous iOS, notamment dans “Mon compte”

A venir

  • J’attends vos retours de tests pour lancer la mise en production, sur le plays tore et sur les sites web ;
    D’avance, merci !

  • Version iOs : @bpresles a réalisé une version iOS, testable pour le moment ici :
    Nous allons voir ensemble (dès qu’on trouvera le temps) pour livrer une version déployable sur le store de la pomme.

Comme toujours, vous pouvez nous aider en donnant sur le compte Duniter ou sur celui de Cesium.
Je compte bien remercié particulièrement @bpresles pour ses corrections et ses version pour iOS ! Je vous invite à faire de même.

Portez-vous bien !

8 J'aimes

Merci @kimamila

installation fail…

sudo dpkg -i cesium-desktop-v1.4.1-linux-x64.deb 
[sudo] Mot de passe de vincentux : 
dpkg-deb: erreur: 'cesium-desktop-v1.4.1-linux-x64.deb' is not a Debian format archive
dpkg: erreur de traitement de l'archive cesium-desktop-v1.4.1-linux-x64.deb (--install) :
 dpkg-deb --control subprocess returned error exit status 2
Des erreurs ont été rencontrées pendant l'exécution :
 cesium-desktop-v1.4.1-linux-x64.deb

Salut tous

Installation OK sur Ubuntu Voyager 18.04.2 LTS 64BITS :+1:

Pour Android 8.1 sur Samsung XCover4 installation OK après retrait version 1.3.11 :+1:

Bonne journée

Ah ? peut-etre avais tu installé la 1.2.11 via le play store ?
Si oui, alors c’est normal.

Sous quel OS exactement ?
A priori ca fonctionne sur Ubuntu 16 et 18

Sous Xubuntu 18.10 x86_64

Mais je viens de re-tester l’install et c’est passé sans souci… :crazy_face:

1 J'aime

Salut, bravo et merci !

Sous Android 4.4.4, il refuse de s’installer par-dessus 1.3.1 (installé par. apk) mais s’installe après désinstallation de la v précédente.

@matograine, comme dit plus haut, c’est normal si tu étais passé par les Play Store pour installer la version précédente. Est-ce le cas ?

Bonjour et merci pour cette nouvelle version.

De mon côté sous Android 7, je n’ai pas réussi à installer la 1.4.1 ni la 1.4.0 par dessus la 1.3.11 (mais je ne sais plus si j’avais installé cette dernière par apk ou par le play store).

Une fois la 1.3.11 désinstallée, j’ai pu installer sans souci la 1.4.1.
Par contre maintenant le play store demande de faire une mise à jour avec l’ancienne version, ce que je ne fais bien sûr pas. Mais cela m’oblige à désactiver les mises à jour automatiques pour toutes les autres applications.
Ça sera donc plus pratique quand la 1.4.1 sera disponible sur le play store de Google.

Bonjour @kimamila,
en testant j’ai vu que l’on ne pouvait pas changer l’échelle de temps des transactions
dans les statistiques de la vue réseau.
j’ai apporté une correction et en listant les issues j’ai vu que ce bug était déjà remonté dans le graphique des statistiques d’un compte.
Du coup j’ai fais une MR qui corrige le pb aux 2 endroits

5 J'aimes

Extra ! Merci @ji_emme !
J’avais vu le bug mais pas eu le temps de m’y mettre. Un grand merci !

1 J'aime

Avant de déployé sur le playstore (qui précisément met a jour sans demander !) je préfère que nous testions bien les choses.
Typiquement, @ji_emme a remonté (et corrigé) un bug.
Il y aura donc une v1.4.2, qui sera deployable (si pas d’autres bugs) sur le play store.

En gros : tu attends les mises a jour automatiques, OU bien tu teste les dernières versions. Mais pas les deux

1 J'aime

Oui effectivement, il vaut mieux tester au maximum une version avant de la publier sur le play store.
J’attendrai donc un peu car pour le moment je suis sur la traduction de Cesium en espéranto. Il me manque encore 160 lignes sur 1000. J’en profite par la même occasion pour corriger des fautes de frappe ou d’orthographe dans la version française.

3 J'aimes

Salut ! Non, j’installe toujours Cesium sur mon télécran en téléchargeant le. apk, et jamais par le play store.

1 J'aime

Salut !
Je suis sur Ubuntu 16.04, je viens d’installer Cesium 1.4.1 mais il freeze sur “Veuillez patienter” juste après avoir entré mes identifiants :confused: (après avoir cliqué sur “se connecter”).
(Après je crois que j’avais déjà ce bug sur la version précédente)

Il faudrait que tu vérifies le serveur paramétré dans la rubrique paramètres.
Si celui-ci est accessible, mais long à répondre, cela peut expliquer ton problème.

Pour cela, tu peux taper dans un navigateur web :

  • http://Nom_du_serveur:Port_du_serveur/node/summary
  • ou https://Nom_du_serveur:Port_du_serveur/node/summary

Si tu ne vois pas une réponse json avec la version du serveur, alors le serveur n’est pas joignable.

1 J'aime